{% extends 'login.base.html.twig' %}

{% block title %}Log in!{% endblock %}

{% block body %}
    <div class="login-img">
        <div class=page>
            <div class="container mt-5">
                <div class="col col-login mx-auto">

                </div>
                <div class="container-login100">
                    <div class="wrap-login100 p-6">
                        <form method="post" class="login100-form validate-form">
                            {% if error %}
                                <div class="alert alert-danger">
                                    {{ error.messageKey|trans(error.messageData, 'security') }}
                                </div>
                            {% endif %}
                            {% if app.user %}
                                <div class="mb-3">
                                    You are logged in as {{ app.user.userIdentifier }},
                                    <a id="login-logout" href="{{ path('app_logout') }}">{{ 'Logout'|trans }}</a>
                                </div>
                            {% else %}
                                <span class="login100-form-title">Welcome to test project</span>
                                <div class="wrap-input100 validate-input">

                                    <input type="text" value="{{ last_username }}" name="username"
                                           id="inputUsername"
                                           class="input100" autocomplete="username" required autofocus>
                                    <span class="focus-input100"></span>
                                    <span class="symbol-input100">
                                        <i class="zmdi zmdi-email" aria-hidden="true"></i></span>
                                    </span>
                                </div>
                                <div class="wrap-input100 validate-input">
                                    <input type="password" name="password" id="inputPassword" class="input100"
                                           autocomplete="current-password" required>
                                    <span class="focus-input100"></span>
                                    <span class="symbol-input100">
                                        <i class="zmdi zmdi-lock" aria-hidden="true"></i>
                                    </span>
                                </div>
                                <input type="hidden" name="_csrf_token"
                                       value="{{ csrf_token('authenticate') }}">
                                <button class="btn btn-lg btn-primary" style="margin-top: 10px;" type="submit">
                                    {{ 'Sign in'|trans }}
                                </button>
                            {% endif %}
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
{% endblock %}
